<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <link rel="stylesheet" href="css/estilos.css">
        <script src="js/jquery-3.3.1.min.js"></script>
        
        <style>
            section{
                height: 100vh;
                width: 100vw;
            }
            
            .ir-arriva {
                position: fixed;
                right: 20px;
                bottom: 20px;
                background-color: white;
                padding: 10px;
            }
        
        </style>
    </head>
    <body>
    
    <div class="container">
        <h1></h1>
        
        <ul></ul>
    </div>
        
        <section style="background: red"></section>
        <section style="background: blue"></section>
        <section style="background: black"></section>
        <section style="background: yellow"></section>

       <div class="ir-arriba">
           <a href="">Ir arriva</a>
       </div>
       
        <script>
            //seleciona un elemento de html y has una accion
            //declaras el jquery con signo $ o escribiendo jquery
             // despues entre parentesis, el selector ej: el id,class
            // luego un separador representado por un punto y
            // al final vala accion
            console.log($);
            /*
            $('h1').text("Hola query prros");
            $('h1').css('color','yellowgreen');
            $('h1').css('font-size','50px');
            $('body').css('background','black');*/
        
            
            //CHAINING
            $('h1')
                .text("Hola query prros")
                .css('color','yellowgreen')
                .css('font-size','50px')
            
            
            $('body').css('background','grey')
            
            
            //combinacion de los elementos create lement, set atriburte y append child
            $('body').append('<p style="color: white" >parrafo</p>')
            
            
            //var selector (#elemet) para que esa variable vuelva a usarse...
            
            var mascotas =['gato','perro','firulais','pez']
            
            $.each(mascotas,function(index,mascota){
                $('ul').append('<li>' + mascota + '</li>')
            })
            
            
            
            $('.ir-arriba a').click(function(event) {
                event.preventDefault()
                $("html").animate({ scrollTop: 0 }, "slow");
                return false;
            })
            
            
            
            
        </script>
    </body>
</html>